BS 21: Median of two Sorted Arrays of Different Sizes | Brute and Better Approach

Поділитися
Вставка
  • Опубліковано 1 гру 2024

КОМЕНТАРІ • 77

  • @takeUforward
    @takeUforward  Рік тому +13

    Please watch our new video on the same topic: ua-cam.com/video/F9c7LpRZWVQ/v-deo.html

  • @rushidesai2836
    @rushidesai2836 6 місяців тому +15

    This better approach is pretty smart I must say. Array is visualized just using two variables, amazing.

  • @balakrishnanr648
    @balakrishnanr648 Рік тому +58

    15:47 - for better SEO.
    This is why I like striver RAJ, Straightforward, upto point and honest.
    Really good to be like that, helps in longer run.

  • @amitranjan6998
    @amitranjan6998 Рік тому +36

    It's the hard problem on leetcode and you solved it brilliantly , hats off !!

  • @mohit5963
    @mohit5963 Рік тому +3

    you expain it in a such easy manner, so good Striver...

  • @cinime
    @cinime Рік тому +5

    Understood! Super wonderful explanation as always, thank you very very much for your effort!!

  • @pratyushtripathi1728
    @pratyushtripathi1728 Рік тому +7

    बहुत सही गुरु जी जलवा है आपका 😂

  • @stith_pragya
    @stith_pragya 9 місяців тому +2

    Thank You Much for this wonderful video...................🙏🏻🙏🏻🙏🏻🙏🏻🙏🏻🙏🏻

  • @anshsaxena7297
    @anshsaxena7297 2 місяці тому

    UnderStood, Wanted to learn this from a long long time.

  • @001_bajpai5
    @001_bajpai5 11 місяців тому +2

    If You do this bruteforce in Pyhton language then your all test cases will pass
    python is really good language

  • @smrutisitikanta2664
    @smrutisitikanta2664 4 місяці тому

    What a brilliant approach!!!

  • @adityarajvermaa
    @adityarajvermaa Рік тому +7

    i coded the first part by myself fully,,,,,but the second part i could not get the logic of storing in variables at first........but then i get the logic

  • @dineshdsv7815
    @dineshdsv7815 Рік тому +2

    Thanks for the detailed explanation

  • @kaichang8186
    @kaichang8186 Місяць тому

    understood, thanks for the perfect explanation

  • @Theawakeindian
    @Theawakeindian Місяць тому

    Thanks buddy explaining the concept

  • @crazybro4383
    @crazybro4383 7 місяців тому

    class Solution {
    public:
    double findMedianSortedArrays(vector& nums1, vector& nums2) {
    int n2 = nums2.size();
    int n1 = nums1.size();
    if(n2 2
    int mid2 = left - mid1;
    int l1 = INT_MIN;
    int l2 = INT_MIN;
    int r1 = INT_MAX;
    int r2 = INT_MAX;
    if(mid1 = 0) l2 = nums2[mid2 - 1];
    if(r1>=l2 && r2>=l1){
    if((n1+n2)%2 != 0){ //odd
    return max(l1, l2);
    }
    else{
    return double(max(l1, l2) + min(r1, r2))/2.0;
    }
    }
    else if(l1 > r2){
    high = mid1-1;
    }
    else{
    low = mid1+1;
    }
    }
    return -1;
    }
    }; This is throwing tle, can someone explain the reason and correct the code

  • @khanra17
    @khanra17 10 місяців тому +2

    How is this binary search ?
    I could have solved it, its very simple linear process. But because its inside binary search i stuck finding Binary Search approach.

    • @theonlyarjun
      @theonlyarjun 9 місяців тому

      same :/

    • @theonlyarjun
      @theonlyarjun 9 місяців тому +4

      My bad the optimal approach is using BS, it's a separate video :(

    • @Fe-ironman
      @Fe-ironman Місяць тому

      there is another binary search way idk which he didn't show...but i tried to do it with another approach which gives TC of O(logn)xO(logm) instead of which striver showed was TC O(log(m+n)) so for smaller input this striver method will be good but for large inputs that binary search approach wil be better

  • @omkarshendge5438
    @omkarshendge5438 4 місяці тому +1

    i did not understand the count method for looking index 1 and index 2, untill then it was fine but then what are looking for like how index 1 will be that element only ??

    • @vaishnavejp9247
      @vaishnavejp9247 4 місяці тому

      you can actually break once you found both ind1 and ind2 elements. im not sure why he didnt do it.
      index1 will be that element only because count will only get incremented after you find it. you will ONLY reach index1 count once and only once.

    • @vedikamishra009
      @vedikamishra009 11 днів тому

      @@vaishnavejp9247 break krne pe 5.5 aa rha h, which is wrong

  • @rupeshpatil6957
    @rupeshpatil6957 2 місяці тому

    Thanks bro ...........But still having O(N+M) time complexity. Need further improvements.

  • @YourCodeVerse
    @YourCodeVerse 11 місяців тому +1

    Understood✅🔥🔥

  • @per.seus._
    @per.seus._ Рік тому +1

    UNDERSTOOD

  • @petersooley3362
    @petersooley3362 Рік тому +1

    "here comes the twist"

  • @NazeerBashaShaik
    @NazeerBashaShaik 7 місяців тому

    Understood, thank you.

  • @Learnprogramming-q7f
    @Learnprogramming-q7f 9 місяців тому +1

    Thank you Bhaiya

  • @shivamgupta-yz6pc
    @shivamgupta-yz6pc Рік тому +2

    its still giving partially accepted

  • @rajatshukla2605
    @rajatshukla2605 Місяць тому

    Understood!

  • @akshatpandey2256
    @akshatpandey2256 Рік тому +2

    where was binary search in this problem striver?

  • @arpitbhavsar6020
    @arpitbhavsar6020 Рік тому +1

    Understood

  • @SYCOA12CHAITANYAASOLE
    @SYCOA12CHAITANYAASOLE 5 місяців тому

    Understood !! 😎😎

  • @Yogamindmastery
    @Yogamindmastery 3 місяці тому

    Beautiful

  • @abhinanda7049
    @abhinanda7049 Рік тому +1

    understood

  • @DeepakPatel-d5v
    @DeepakPatel-d5v 6 місяців тому

    Thanks a lot Bhaiya

  • @sahilkumar1521
    @sahilkumar1521 Рік тому +1

    update this video link on website

  • @sanketatmaram
    @sanketatmaram 2 місяці тому

    understood!

  • @v1dhn
    @v1dhn 5 місяців тому

    If someone is looking for a less redundant code:
    class Solution:
    def findMedianSortedArrays(self, nums1: List[int], nums2: List[int]) -> float:
    n1,n2 = len(nums1),len(nums2)
    n = n1+n2
    ind1,ind2 = n//2-1,n//2
    count = 0
    i,j = 0,0
    while i

  • @stable577
    @stable577 5 місяців тому

    how to make notes of these lectures?

  • @karansunilkumbhar2114
    @karansunilkumbhar2114 5 місяців тому

    what is time complexity of this solution ?,is it O(m+n) ? if yes then how to solve this in O(log(m)+log(n))?

    • @deepakjain4481
      @deepakjain4481 3 місяці тому +1

      The complexity you are mentioning is logm*n that is not asked

    • @deepakjain4481
      @deepakjain4481 3 місяці тому +1

      It's log(m+n)

  • @VikasSharma-eg8mc
    @VikasSharma-eg8mc Рік тому +1

    🔥🔥🔥🔥🔥

  • @Mahanth.
    @Mahanth. 4 місяці тому

    fun fact in better approach : cnt is nothing but i + j

  • @NARUTOUZUMAKI-bk4nx
    @NARUTOUZUMAKI-bk4nx 9 місяців тому

    Understood

  • @pushkarsingh2162
    @pushkarsingh2162 2 місяці тому

    Bhai sahi mein tera questions ⁉️😅saarein galat hai 😅

  • @firebout7675
    @firebout7675 10 місяців тому

    understood

  • @shubhrajit2117
    @shubhrajit2117 5 місяців тому

    At 2:16 I thought I'd have to discard the common element 🤦🏻‍♂

  • @NitaiGauranga-ss8gp
    @NitaiGauranga-ss8gp 6 місяців тому

    Understand ❤🎉

  • @AdityaRoy-p4i
    @AdityaRoy-p4i Рік тому

    Yay🤩

  • @KnowUrWorld-1
    @KnowUrWorld-1 2 місяці тому

    Do the code using O(1) space

  • @girikgarg8
    @girikgarg8 Рік тому

    Done

  • @dayashankarlakhotia4943
    @dayashankarlakhotia4943 Рік тому +1

    Public class solution {
    Public static double median (int []a,int []b){
    int m=a.length, n=b.length;
    int i=0,j=0 m1=0,m2=0;
    for(int count =0;count b[j]){
    m1=b[j++];
    }else {
    m1=a[i++];
    }
    }
    elseif(i

  • @sidharthsharma341
    @sidharthsharma341 Рік тому

    Bhaiya which topic will come next ?.....what are upcoming plans

  • @puneetgared
    @puneetgared Рік тому

    @striver Why not put the OR condition in while loop instead of running while loop separately while merging the array? like
    while(i< arr1.length || j < arr2.length){

  • @Algorithmswithsubham
    @Algorithmswithsubham Рік тому +1

    ❤❤❤❤❤❤❤❤❤❤❤❤❤❤❤❤❤❤❤❤❤❤

  • @farazahmed7
    @farazahmed7 Рік тому

    No BS

  • @pushkarsingh2162
    @pushkarsingh2162 2 місяці тому

    Bhai question to durr ki baat hai English thodi control mein kar 😢

  • @SibiRanganathL
    @SibiRanganathL 8 місяців тому

    Understood

  • @chiragbansod8252
    @chiragbansod8252 8 місяців тому

    understood

  • @dewanandkumar8589
    @dewanandkumar8589 8 місяців тому +1

    Understood

  • @hardikpatel352
    @hardikpatel352 7 місяців тому

    understood

  • @abhishekprasad010
    @abhishekprasad010 7 місяців тому

    Understood

  • @MJBZG
    @MJBZG 5 місяців тому

    understood

  • @codeman3828
    @codeman3828 3 місяці тому

    Understood

  • @Shivi32590
    @Shivi32590 4 місяці тому

    understood

  • @abhinavabhi3568
    @abhinavabhi3568 2 місяці тому

    Understood

  • @SitaRam-m1i
    @SitaRam-m1i Місяць тому

    Understood